
const crypto = require('crypto');

console.log('Start');

for (let i = 0; i < 10; i++) {
    console.time(`Task ${i}`);
    crypto.pbkdf2('password', 'salt', 110_000, 64, 'sha512', () => {
        console.timeEnd(`Task ${i}`);
    });
}

console.log('All crypto tasks started');

console.log('End');
